Memcached::getServerByKey
Memcached::getStats
Memcached
PHP Manual

# Memcached::getServerList

(PECL memcached >= 0.1.0)

Memcached::getServerList — Get the list of the servers in the pool

### Description

public array Memcached::getServerList ( void )

Memcached::getServerList() returns the list of all servers that are in its server pool.

### Parameters

This function has no parameters.

### Return Values

The list of all servers in the server pool.

### Examples

Example #1 Memcached::getServerList() example

`<?php
$m = new Memcached();
$m->addServers(array(
array('mem1.domain.com', 11211, 20),
array('mem2.domain.com', 11311, 80),
));
var_dump($m->getServerList());
?>`

The above example will output:

    array(2) {
      [0]=>
      array(3) {
        ["host"]=>
        string(15) "mem1.domain.com"
        ["port"]=>
        int(11211)
        ["weight"]=>
        int(20)
      }
      [1]=>
      array(3) {
        ["host"]=>
        string(15) "mem2.domain.com"
        ["port"]=>
        int(11311)
        ["weight"]=>
        int(80)
      }
    }

Memcached::getServerByKey
Memcached::getStats
Memcached
PHP Manual